org.eclipse.viatra.integration.mwe2.providers.impl

## Class BaseIterationNumberProvider

- java.lang.Object
- - org.eclipse.viatra.integration.mwe2.providers.impl.BaseProvider
  - - org.eclipse.viatra.integration.mwe2.providers.impl.BaseIterationNumberProvider

- All Implemented Interfaces:
    IIterationNumberProvider, IProvider

      public class BaseIterationNumberProvider
      extends BaseProvider
      implements IIterationNumberProvider

  Basic iteration number provider. Returns the number handed to it in its constructor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseIterationNumberProvider(java.lang.Integer value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext` | `getContext()`
    `java.lang.Integer` | `getIterationNumber()` returns the number of iterations
    `void` | `setContext(org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext ctx)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseIterationNumberProvider

          public BaseIterationNumberProvider(java.lang.Integer value)

  - ### Method Detail

    - #### getContext

          public org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext getContext()

      Specified by:
        `getContext` in interface `IProvider`
      Overrides:
        `getContext` in class `BaseProvider`

    - #### setContext

          public void setContext(org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext ctx)

      Specified by:
        `setContext` in interface `IProvider`
      Overrides:
        `setContext` in class `BaseProvider`

    - #### getIterationNumber

          public java.lang.Integer getIterationNumber()

      Description copied from interface: `IIterationNumberProvider`
      returns the number of iterations
      Specified by:
        `getIterationNumber` in interface `IIterationNumberProvider`